# FairMQ: FairMQMessageNN Class Reference

FairMQMessageNN Class Reference
Inheritance diagram for FairMQMessageNN:
[legend]
Collaboration diagram for FairMQMessageNN:
[legend]

## Public Member Functions

| FairMQMessageNN (const size_t size)
| FairMQMessageNN (void *data, const size_t size, fairmq_free_fn *ffn, void *hint=nullptr)
| FairMQMessageNN (FairMQUnmanagedRegionPtr &region, void *data, const size_t size, void *hint=0)
| FairMQMessageNN (const FairMQMessageNN &)=delete
FairMQMessageNN | operator= (const FairMQMessageNN &)=delete
void | Rebuild () override
void | Rebuild (const size_t size) override
void | Rebuild (void *data, const size_t size, fairmq_free_fn *ffn, void *hint=nullptr) override
void * | GetData () const override
size_t | GetSize () const override
bool | SetUsedSize (const size_t size) override
FairMQ::Transport | GetType () const override
void | Copy (const FairMQMessage &msg) override
void | Copy (const FairMQMessagePtr &msg) override
Public Member Functions inherited from FairMQMessage
virtual void | Copy (const std::unique_ptr< FairMQMessage > &msg) __attribute__((deprecated("Use 'Copy( const FairMQMessage & msg)'")))=0

## Friends

class | FairMQSocketNN

The documentation for this class was generated from the following files:

- fairmq/nanomsg/FairMQMessageNN.h
- fairmq/nanomsg/FairMQMessageNN.cxx